HostingEmailAllowListPaginatedListResponse
Successful response with a page of HostingEmailAllowList
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Array [
allow_list_idintegerrequired
hosting_idintegerrequired
Id of the hosting (GET /api/v3/hostings/{hosting_id})
senderstring | nullnullablerequired
Sender of the entry: the domain or the address
domainstring | nullnullablerequired
Sender domain; null when the entry is for an address
mailboxemailnullablerequired
Sender address; null when the entry is for a whole domain
]
meta objectrequired
Pagination of the list
totalintegerrequired
Number of items in the whole list
countintegerrequired
Number of items in this page: 0 beyond the last page
pagesintegerrequired
Number of pages of the list
pageintegerrequired
Number of this page, starting from 1
per_pageintegerrequired
Maximum number of items in a page
HostingEmailAllowListPaginatedListResponse
{
"error": 0,
"message": "string",
"data": [
{
"allow_list_id": 0,
"hosting_id": 0,
"sender": "string",
"domain": "string",
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}